//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Paw_park.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Booking
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Booking()
        {
            this.Comments = new HashSet<Comment>();
        }
    
        public int Id { get; set; }
        public int ParkId { get; set; }
        public int OwnerId { get; set; }
        public int DogId { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public int Hours { get; set; }
    
        public virtual Dog Dog { get; set; }
        public virtual Person Person { get; set; }
        public virtual Park Park { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Comment> Comments { get; set; }
    }
}
